Summary:	An X Window System-based calendar program
Summary(pl.UTF-8):	Kalendarz działający pod X Window System
Name:		ical
Version:	2.2
Release:	25
License:	distributable
Group:		X11/Applications
Source0:	http://www.research.digial.com/SRC/personal/Sanjay_Ghemawat/ical/icalbins/%{name}-%{version}.tar.gz
# Source0-md5:	6bb0d0ce76bb31570c2c99d8da70a58b
Source1:	%{name}.desktop
Patch0:		%{name}-newtcl.patch
Patch1:		%{name}-tcl823.patch
Patch2:		%{name}-hack.patch
Patch3:		%{name}-DESTDIR.patch
Patch4:		%{name}-OPTF.patch
Patch5:		%{name}-protos.patch
Patch6:		%{name}-tcl84.patch
Patch7:		%{name}-prototypes.patch
Patch8:		%{name}-build.patch
URL:		http://www.research.digital.com/SRC/personal/Sanjay_Ghemawat/ical/home.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	perl-base
BuildRequires:	tk-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ical is an X Window System based calendar program. Ical will easily
create/edit/delete entries, create repeating entries, remind you about
upcoming appointments, print and list item occurrences, and allow
shared calendars between different users.

Install ical if you need a calendar program to track your schedule.
You'll need to have the X Window System installed in order to use
ical.

%description -l pl.UTF-8
ical to kalendarz/terminarz pod X Window System. Może łatwo tworzyć,
modyfikować, usuwać wpisy, tworzyć powtarzające się wpisy, przypominać
o zbliżających się spotkaniach, wyświetlać wystąpienia wpisu; pozwala
dzielić kalendarze pomiędzy różnymi użytkownikami.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%{__perl} -pi -e 's@/lib(.*T.*_LIB_FILE)@/%{_lib}$1@' configure.in

%build
cd types
%{__aclocal}
%{__autoconf}
cd ..
%{__aclocal}
%{__autoconf}
%configure \
	--with-tclsh=/usr/bin/tclsh

%{__make} \
	OPTF="%{rpmcflags} %{rpmcppflags} -DUSE_INTERP_RESULT"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_mandir}/man1,%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/ical.html doc/ical.doc doc/interface.html doc/interface.doc
%attr(755,root,root) %{_bindir}/ical
%{_mandir}/man1/ical.1*
%{_prefix}/lib/ical
%{_desktopdir}/ical.desktop
%changelog
* Tue Jun 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ical.git;a=log;h=master

* Tue Jun 03 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c3d5c04
- rel 25; fix build with tcl/tk 8.6

* Sun Jun 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c61a26b
- tcl rebuild
- release 24 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> b65263d
- dropped pre-cvs changelog

* Mon Apr 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1574834
- release 23

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 0f9d558
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7c8a491
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8902ded
- converted to UTF-8

* Fri Jan 19 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 0898aac
- rel 22; force some defines because configure check is broken

* Fri Jan 19 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f709c4
- force some defines because detection is sooo broken

* Wed Jun 08 2005 zbyniu <zbyniu@pld-linux.org> df99d92
- BR: libstdc++-devel

* Sat Apr 23 2005 darekr <darekr@pld-linux.org> a992429
- BR: perl-base

* Sat Jun 26 2004 Jakub Bogusz <qboosh@pld-linux.org> 4aebb6f
- BR: tk-devel

* Sat Jun 26 2004 Jakub Bogusz <qboosh@pld-linux.org> f74e3b0
- fixed build on amd64, release 21

* Sat Jun 26 2004 Jakub Bogusz <qboosh@pld-linux.org> b51691b
- updated OPTF patch, added protos,tcl84 patches
- fixed build, switched to vfolders

* Sat Jun 26 2004 Jakub Bogusz <qboosh@pld-linux.org> a0cf38a
- +Categories

* Sat Jun 26 2004 Jakub Bogusz <qboosh@pld-linux.org> e19daa9
- follow tcl 8.4.x prototypes

* Sat Jun 26 2004 Jakub Bogusz <qboosh@pld-linux.org> 9c5d4df
- fix protos test

* Sat Jun 26 2004 Jakub Bogusz <qboosh@pld-linux.org> 3c88f00
- removed junk

* Thu Dec 25 2003 Tomasz Pala <gotar@pld-linux.org> c53bced
- s/Description/Comment/

* Sun Nov 23 2003 Tomasz Pala <gotar@pld-linux.org> b430380
- added Encoding=UTF-8 (field required by freedesktop.org desktop-entry specification)

